fair::mq::shmem::Monitor Class Reference

## Public Member Functions

| Monitor (const std::string &sessionName, bool selfDestruct, bool interactive, unsigned int timeoutInMS, bool runAsDaemon, bool cleanOnExit)
| Monitor (const Monitor &)=delete
Monitor | operator= (const Monitor &)=delete
void | CatchSignals ()
void | Run ()

## Static Public Member Functions

static void | Cleanup (const std::string &sessionName)
static void | RemoveObject (const std::string &)
static void | RemoveQueue (const std::string &)

The documentation for this class was generated from the following files:

- fairmq/shmem/Monitor.h
- fairmq/shmem/Monitor.cxx